Bug 216332 - net-im/uTox: unbreak build on 10.3-RELEASE amd64
Summary: net-im/uTox: unbreak build on 10.3-RELEASE amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-20 20:30 UTC by Carlos J. Puga Medina
Modified: 2017-02-07 18:57 UTC (History)
2 users (show)

See Also:
amdmi3: maintainer-feedback-


Attachments
patch (481 bytes, patch)
2017-01-20 20:30 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (1.25 KB, patch)
2017-01-21 00:36 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (portmaster)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-01-20 20:30:12 UTC
Created attachment 179162 [details]
patch

[ 83%] Building C object CMakeFiles/utox.dir/src/main.c.o
/usr/bin/cc   -I/usr/local/include/freetype2 -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -Wall -Wextra -fno-strict-aliasing -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing   -std=gnu99 -o CMakeFiles/utox.dir/src/main.c.o   -c /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.c
In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.c:5:
In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.h:282:
In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/stb_image.h:678:
/usr/include/clang/3.4.1/emmintrin.h:1444:21: error: expected '(' after 'asm'
  __asm__ volatile ("pause");
                    ^
/wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.h:84:21: note: expanded from macro 'volatile'
#define volatile(x) x
                    ^

build log: http://beefy6.nyi.freebsd.org/data/103amd64-default/431832/logs/uTox-0.11.1.log
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-01-21 00:36:57 UTC
Created attachment 179168 [details]
patch

Summary:

- Fix build on 10.3/amd64
- Add an icon since INSTALLS_ICONS was dropped
- Bump PORTREVISION
Comment 2 Nikolai Lifanov freebsd_committer 2017-01-24 15:58:22 UTC
I'll take this while waiting for maintainer feedback.
Comment 3 Dmitry Marakasov freebsd_committer 2017-02-07 16:01:58 UTC
Maintainer timeout, please commit. Also, please use INSTALL_DATA instead of CP in post-install.
Comment 4 Nikolai Lifanov freebsd_committer 2017-02-07 16:28:03 UTC
OK, working...
Comment 5 commit-hook freebsd_committer 2017-02-07 18:39:25 UTC
A commit references this bug:

Author: lifanov
Date: Tue Feb  7 18:39:12 UTC 2017
New revision: 433579
URL: https://svnweb.freebsd.org/changeset/ports/433579

Log:
  unbreak net-im/uTox on 10.3-RELEASE amd64

  [ 83%] Building C object CMakeFiles/utox.dir/src/main.c.o
  /usr/bin/cc   -I/usr/local/include/freetype2 -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -Wall -Wextra -fno-strict-aliasing -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing   -std=gnu99 -o CMakeFiles/utox.dir/src/main.c.o   -c /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.c
  In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.c:5:
  In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.h:282:
  In file included from /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/stb_image.h:678:
  /usr/include/clang/3.4.1/emmintrin.h:1444:21: error: expected '(' after 'asm'
    __asm__ volatile ("pause");
                      ^
  /wrkdirs/usr/ports/net-im/uTox/work/uTox-1835eae/src/main.h:84:21: note: expanded from macro 'volatile'
  #define volatile(x) x
                      ^

  PR:		216332
  Submitted by:	cpm, amdmi3
  Reviewed by:	matthew
  Approved by:	matthew (mentor), portmaster@BSDforge.com (maintainer timeout, 2 weeks)
  Differential Revision:	https://reviews.freebsd.org/D9477

Changes:
  head/net-im/uTox/Makefile
  head/net-im/uTox/files/patch-src_main.h
  head/net-im/uTox/pkg-plist
Comment 6 Nikolai Lifanov freebsd_committer 2017-02-07 18:40:02 UTC
Committed, thanks!
Comment 7 Chris Hutchinson 2017-02-07 18:57:54 UTC
(In reply to Nikolai Lifanov from comment #6)
> Committed, thanks!

Thanks for all your time on this,  Carlos J. Puga Medina!

Sorry for catching this sooner. :(

--Chris